Bug 1709199

Summary: /usr/sbin/rt-setup-database segfaults
Product: [Fedora] Fedora Reporter: Ralf Corsepius <rc040203>
Component: rtAssignee: Ralf Corsepius <rc040203>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: j, perl-devel, rc040203
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-26 15:15:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ralf Corsepius 2019-05-13 07:37:00 UTC
Description of problem:
When setting up rt, /usr/sbin/rt-setup-database segfaults:

# /usr/sbin/rt-setup-database --action init --dba root --dba-password XXXXX
Working with:
Type:	mysql
Host:	localhost
Port:	
Name:	rt4
User:	rt_user
DBA:	root
Now creating a mysql database rt4 for RT.
Done.
Now populating database schema.
Done.
Now inserting database ACLs.
Done.
Now inserting RT core system objects.
Done.
Now inserting data.
Segmentation fault (core dumped)

Version-Release number of selected component (if applicable):
rt-4.4.4-1.fc30 (currently in updates-testing) 
or 
rt-4.4.3-3.fc30 (in release)

How reproducible:
Always.

Steps to Reproduce:
1. set up rt according to /usr/share/doc/rt/README.fedora

Actual results:
cf. above.

Expected results:
No segfault.

Additional info:
- Despite the segfault, rt's mysql db seems to be functional, afterwards, AFAICT.

Comment 2 Ben Cotton 2020-04-30 22:01:26 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 15:15:10 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.